## quilt 0.30

=== po/Makefile ===
QUILT_IN :=   add applied delete diff files import new next patches \
              pop previous push refresh remove series setup top unapplied \
	      fold fork snapshot edit
SCRIPTS_IN := apatch rpatch patchfns spec2series patchfns
# scripts/parse-patch is perl based

# LINGUAS = ...
# localedir = ...

all: $(LINGUAS:%=%.mo)

%.mo : %.po
	msgfmt --statistics -o $@ $<

%.po : quilt.pot
	msgmerge -o $@ $@ $^

quilt.pot: $(QUILT_IN:%=../quilt/%.in) $(SCRIPTS_IN:%=../scripts/%.in) ../bin/quilt.in
	rm -f quilt.pot; touch quilt.pot
	for file in $+ ; do \
	  bash --dump-po-strings $$file \
	    |msguniq \
	    |msgcat --force-po -F - quilt.pot -o quilt.pot; \
	done

clean:
	rm -f *.mo *~

install: all
	for lang in $(LINGUAS) ; do \
		install -d $(BUILD_ROOT)$(localedir)/$$lang/LC_MESSAGES ; \
		install -m 644 $$lang.mo \
		    $(BUILD_ROOT)$(localedir)/$$lang/LC_MESSAGES/quilt.mo ; \
	done

.PHONY: install clean all

## quilt 0.39

=== doc/Makefile ===
all : quilt.pdf

quilt.ps : quilt.dvi
	dvips -t letter -o $@ $<

quilt.pdf: main.tex
	pdflatex -t letter $< && \
	mv main.pdf $@

quilt.dvi : main.tex
	latex $< && \
	mv main.dvi $@

clean:
	rm -f main.{dvi,log,aux}

distclean: clean
	rm -f quilt.{ps,pdf,dvi}

=== po/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 QUILT_IN :=   add applied delete diff files import new next patches \
               pop previous push refresh remove series setup top unapplied \
-	      fold fork snapshot edit
-SCRIPTS_IN := apatch rpatch patchfns spec2series patchfns
+	      fold fork snapshot edit upgrade
+SCRIPTS_IN := patchfns inspect patchfns
 # scripts/parse-patch is perl based
 
 # LINGUAS = ...
@@ -14,7 +14,8 @@
 
 %.po : quilt.pot
 	msgmerge -o $@ $@ $^
-
+	msgfmt --statistics -o /dev/null $@
+	
 quilt.pot: $(QUILT_IN:%=../quilt/%.in) $(SCRIPTS_IN:%=../scripts/%.in) ../bin/quilt.in
 	rm -f quilt.pot; touch quilt.pot
 	for file in $+ ; do \

## quilt 0.40

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
-QUILT_IN :=   add applied delete diff files import new next patches \
-              pop previous push refresh remove series setup top unapplied \
-	      fold fork snapshot edit upgrade
+QUILT_IN :=   add applied delete diff edit files fold fork graph grep \
+	      import mail new next patches pop previous push refresh \
+	      remove series setup snapshot top unapplied upgrade
 SCRIPTS_IN := patchfns inspect patchfns
 # scripts/parse-patch is perl based

## quilt 0.42

=== po/Makefile ===
# scripts/parse-patch is perl based

# LINGUAS = ...
# localedir = ...

all: $(LINGUAS:%=%.mo)

%.mo : %.po
	msgfmt --statistics -o $@ $<

%.po : quilt.pot
	msgmerge -o $@ $@ $^

quilt.pot: $(filter-out ../debian/control.in ../doc/quilt.1.in ../doc/README.in, \
			$(wildcard ../*/*.in))
	rm -f quilt.pot; touch quilt.pot
	( cd .. ; \
	for file in $+ ; do \
	  file=$${file#../} ; \
	  if head $$file | grep -q '@BASH@'; then \
	    bash --dump-po-strings $$file ; \
	  elif head $$file | grep -q '@PERL@'; then \
	    xgettext --from-code=UTF-8 --omit-header --language=Perl \
	    	     --keyword=_ -o - $$file; \
	  else \
	    echo "Don't know how to handle $$file" >&2 ; \
	  fi \
	done ) \
	|msguniq \
	|msgcat --force-po -F - quilt.pot -o quilt.pot

clean:
	rm -f *.mo *~

install: all
	for lang in $(LINGUAS) ; do \
		install -d $(BUILD_ROOT)$(localedir)/$$lang/LC_MESSAGES ; \
		install -m 644 $$lang.mo \
		    $(BUILD_ROOT)$(localedir)/$$lang/LC_MESSAGES/quilt.mo ; \
	done

uninstall:
	for lang in $(LINGUAS) ; do \
		rm -f $(BUILD_ROOT)$(localedir)/$$lang/LC_MESSAGES/quilt.mo ; \
	done

.PHONY: install clean all

## quilt 0.45

=== doc/Makefile ===
--- 
+++ 
@@ -4,8 +4,7 @@
 	dvips -t letter -o $@ $<
 
 quilt.pdf: main.tex
-	pdflatex -t letter $< && \
-	mv main.pdf $@
+	pdflatex --jobname=quilt -t letter $<
 
 quilt.dvi : main.tex
 	latex $< && \

## quilt 0.48

=== debian/changelog ===
quilt (0.48-8) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Update arch_all patch to integrate fixes prepared by Jean Delvare.
  * Refresh all other patches to apply cleanly.
  * Update documentation of dh_quilt_{,un}patch to use the
    correct dh command-line syntax (thanks to Michael Ole Olsen for the
    report!) and add a note saying that those tools are useless with the "3.0
    (quilt)" source format.
  * Add "Multi-Arch: foreign" so that packages of foreign architectures can
    depend on quilt. Closes: #640784
  * Update Standards-Version to 3.9.2 (no changes required).
  * Update lintian override to match the new output.

  [ Martin Quinson ]
  * Documentation update (man and pdf versions): patch dropped support
    for the option --unified-reject-files, so stop advising its use.
    (Closes: #616647)
  * Depend on bsdmainutils to get the column utility, which is used to
    show the available commands when none is provided (Closes: #627769) 

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 12 Sep 2011 15:49:00 +0200

quilt (0.48-7) unstable; urgency=low

  * Extend debian/patches/fix-manpage-generation to also remove the $''
    bashism. Thanks to Lars Wirzenius <lars@catalyst.net.nz> for
    the analysis. Closes: #563517
  * Update watch file to not hardcode a specific savannah mirror.
  * Add a lintian overrides for script-not-executable
    ./usr/share/quilt/scripts/patchfns, it's a shell library with a
    useless shebang.
  * Update debian/patches/use-sensible-editor to unset VISUAL
    when testing "quilt edit" (in test/edit.test) to avoid failures
    when VISUAL is set in the build environment. Closes: #575962

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 16 Apr 2010 22:03:34 +0200

quilt (0.48-6) unstable; urgency=low

  * The new algorithm that makes quilt lookup parent directories for
    .pc/.quilt_{patches,series} lead to the failure of test/setup.test
    when run in the Debian source package since $QUILT_PATCHES points
    to debian/patches when the test script expect it to be "patches".
    Avoid this by forcing QUILT_PATCHES in the test script (patch
    debian/patches/fix-test-setup) but suggest upstream to hardcode locations
    in quilt setup. Closes: #573689
  * Update Standards-Version to 3.8.4 (no changes needed).
  * Drop unused lintian overrides.
  * Wrap lines at 80 chars in quilt.make. Closes: #573617

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 15 Mar 2010 10:22:36 +0100

quilt (0.48-5) unstable; urgency=low

  * Include debian/patches/backport-remember-locations cherry-picked from the
    upstream Git repository to remember the values of QUILT_PATCHES and
    QUILT_SERIES between multiple invocations. Closes: #260664
  * New patch debian/patches/skip-non-files-for-series. Avoids selecting
    non-files as series file. Closes: #546393 LP: #428657

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 23 Jan 2010 22:53:52 +0100

quilt (0.48-4) unstable; urgency=low

  * Add "ed" to Build-Depends-Indep as it's used by the test-suite.
    Closes: #562446

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 13 Jan 2010 10:24:08 +0100

quilt (0.48-3) unstable; urgency=low

  * Stop creating files with 000 mode in the .pc directory. Upstream
    has changed this in their git repository, so we can update our shell
    variant of backup-files accordingly. Closes: #557386, #534840
  * Document the minimal versions for "dh --with quilt" in README.Debian.
    Closes: #532127
  * Support QUILT_PATCH_DIR input environment variable in CDBS's
    patchsys-quilt.mk. Closes: #517664
  * Update test suite to support newer versions of patch. Cherry-pick patch
    from upstream in debian/patches/test-suite-update-for-patch-2.6.
    Closes: #560621
  * Update patch test_broken_patches providing test/file-not-found to work
    with patch 2.6 but disable it since otherwise the package could not be
    compiled with older patch releases.

 -- Raphaël Hertzog <hertzog@debian.org>  Fri, 11 Dec 2009 15:00:38 +0100

quilt (0.48-2) unstable; urgency=low

  [ Ryan Niebur ]
  * use sensible-editor, which takes $VISUAL into account (Closes:
    #509076)
  * in README.source's example snippet, use the first directory found
    with debian/{rules,patches}, not the last (Closes: 529028)

  [ Raphaël Hertzog ]
  * Switch to source format 3.0 (quilt) to get rid of all the manual
    auto-patching code required to avoid the build-dependency on itself.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 29 Oct 2009 17:56:18 +0100

quilt (0.48-1) unstable; urgency=low

  [ Martin Quinson ]
  * New upstream release.
  * debian/patches/generic-awk: removed since merged upstream.
  * debian/patches/*: updated so that they apply again on this release.

  [ Raphaël Hertzog ]
  * Remove Simon Hormans from Uploaders with his permission.
  * debian/patches/fix-manpage-generation: fix Makefile so that
    the manual page is correctly generated with dash too (LP: #402237)
  * Improve dh_quilt_patch/unpatch by respecting the QUILT_PATCH_DIR
    environment variable like /usr/share/quilt/quilt.make does.
    Closes: #544668

  [ Ryan Niebur ]
  * Add myself to Uploaders
  * fixes to the arch_all patch to pass test suite
    - port upstream changes to the c version to the bash rewrite
      of backup-files
    - fix backup-files to process all files passed in on the
      command line instead of just the last (a clear bug)
  * refresh all patches with -p ab
  * add procmail to build deps, needed by tests
  * Debian Policy 3.8.3

 -- Raphaël Hertzog <hertzog@debian.org>  Wed, 02 Sep 2009 22:05:25 +0200

quilt (0.46-8) unstable; urgency=low

  * Move to section “vcs” to match with ftpmasters' overrides.
  * Hide from build output some comments inside quilt.make
    that could lead to believe that an error appeared. Thanks to
    Andrea Bolognani <eof@kiyuko.org>. Closes: #531192
  * Rename debian/patches/fr.po into debian/patches/po-fix-msguniq
    to avoid problems with scripts believing this is a po file.


=== debian/control ===
# -*- coding: utf-8 -*-

Source: quilt
Section: vcs
Priority: optional
Maintainer: Martin Quinson <mquinson@debian.org>
Uploaders: Raphaël Hertzog <hertzog@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
Build-Depends: cdbs, debhelper (>= 5)
Build-Depends-Indep: gettext, hevea, lynx, diffstat, perl, procmail, ed
Standards-Version: 3.9.2
Vcs-git: git://git.debian.org/git/collab-maint/quilt
Vcs-Browser: http://git.debian.org/?p=collab-maint/quilt.git
Homepage: http://savannah.nongnu.org/projects/quilt

Package: quilt
Architecture: all
Depends: patch, diffstat, bzip2, gettext, bsdmainutils, ${misc:Depends}
Suggests: procmail, graphviz
Enhances: debhelper, cdbs
Multi-Arch: foreign
Description: Tool to work with series of patches
 Quilt manages a series of patches by keeping track of the changes
 each of them makes. They are logically organized as a stack, and you can
 apply, un-apply, refresh them easily by traveling into the stack (push/pop).
 .
 Quilt is good for managing additional patches applied to a package received
 as a tarball or maintained in another version control system. The stacked
 organization is proven to be efficient for the management of very large patch
 sets (more than hundred patches). As matter of fact, it was designed by and
 for Linux kernel hackers (Andrew Morton, from the -mm  branch, is the
 original author), and its main use by the current upstream maintainer is to
 manage the (hundreds of) patches against the kernel made for the SUSE
 distribution. 
 .
 This package provides seamless integration into Debhelper or CDBS,
 allowing maintainers to easily add a quilt-based patch management system in
 their packages. The package also provides some basic support for those not
 using those tools. See README.Debian for more information.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# $Id: rules,v 1.15 2005/01/06 19:32:53 mquinson Exp $

# Import Common Debian Build System (CDBS).
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

# Here is a badly nammed changelog file
DEB_INSTALL_CHANGELOGS_ALL = quilt.changes

# installing under debian/tmp...
DEB_MAKE_ENVVARS := BUILD_ROOT=$(CURDIR)/debian/tmp LC_ALL=C
DEB_MAKE_CHECK_TARGET = check

# ... and moving it to the right dir using dh_install
DEB_DH_INSTALL_SOURCEDIR := debian/tmp

# also specify the full path to sendmail, as requested by policy
DEB_CONFIGURE_EXTRA_FLAGS := --with-sendmail=/usr/sbin/sendmail

# distribute a text version of the doc
common-build-indep::
	mkdir doc/tmp || true
	cd doc/tmp; LC_ALL=C hevea ../main.tex ; LC_ALL=C hevea ../main.tex; LC_ALL=C hevea ../main.tex
	perl -pe 'if (/\\sh{.*}/) {s:\\sh{(.*)}:<I>$$1</I>:}'	\
	     < doc/tmp/main.html > doc/quilt.html
	LC_ALL=C perl -e '$$/ = undef; $$f=<>; $$f =~ s|<A[^>]*?HREF="[^"]*#[^"]*">(.*?)</A>|$$1|msg; print $$f;' < doc/tmp/main.html > doc/tmp/tmp.html
	LC_ALL=C lynx doc/tmp/tmp.html -dump > doc/quilt.txt
	pod2man -c Debhelper debian/dh_quilt_patch debian/dh_quilt_patch.1
	pod2man -c Debhelper debian/dh_quilt_unpatch debian/dh_quilt_unpatch.1

clean::
	rm -rf doc/quilt.txt doc/quilt.html doc/tmp test/.pc test/d
	rm -f compat/awk compat/sendmail
	rm -f debian/dh_quilt_patch.1 debian/dh_quilt_unpatch.1

# Don't even try to build the package when /proc is not mounted since the
# checks will fail after a long while. Closes: #380598
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
pre-build::
	@if ! [ -d /proc/1 ]; then \
	   echo "quilt needs a mounted /proc to correctly build";\
	   echo "If you really want to build without /proc, add nocheck to the DEB_BUILD_OPTIONS"; \
	   exit 1; \
	fi
endif

## quilt 0.50

=== debian/changelog ===
quilt (0.50-2) unstable; urgency=low

  [ Raphaël Hertzog ]
  * Recommends "default-mta | mail-transport-agent" instead of plain
    mail-transport-agent. Closes: #652734
  * Change the above Recommends into a Suggests. Closes: #652912
  * Drop entirely debian/patches/testsuite_cleanups since it's no longer
    needed.
  * Integrate 2 small regression fixes from upstream in
    debian/patches/backport-fixes-from-0.50, we could have waited 0.51
    for Debian but this offers a chance to get them in Ubuntu's LTS 12.04.

  [ Martin Quinson ]
  * quilt/header: Add a --dep3 option to include a DEP-3 template
    (Closes: #543355; thanks to Didier Raboud for the report and the
     patch; sorry for the delay)    

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 09 Jan 2012 15:25:47 +0100

quilt (0.50-1) unstable; urgency=low

  [ Martin Quinson ]
  * Drop patch po-fix-msguniq which added an invocation to msguniq to
    the po files regeneration. Nothing similar is done in the packages
    I checked, and msgmerge seem to be reasonable nowadays.
  * add configure option --with-awk=/usr/bin/awk to avoid that
    configure finds locally installed gawk (don't explicit dependent
    on awk since it's essential)                          Closes: #637014
  * Add Recommends: mail-transport-agent since it's mandatory to get
    the mail command working                              Closes: #587941
  * Add the shell subcommand to the bash completion list. Closes: #578925  

  [ Raphaël Hertzog ]
  * New upstream release.
  * Drop a few patches merged upstream:
    - debian/patches/create_db_on_snapshot
    - debian/patches/doc_improvement
    - debian/patches/mailname
    - debian/patches/test-suite-update-for-patch-2.6
    - debian/patches/backport-remember-locations
    - debian/patches/skip-non-files-for-series
  * Refresh all other patches.
  * Disable patch debian/patches/testsuite_cleanups as it creates more
    problems than it seems to solve.
  * Drop lintian override file, the only override needed has been fixed
    upstream (by dropping the useless shebang).
  * Add missing ${perl:Depends} to the Depends field.
  * Switch to debhelper compat level 8.
  * Switch away from CDBS to dh.
  * Ensure we can build twice in a row by resetting properly the
    regenerated po/*.{po,pot} files.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 20 Dec 2011 11:32:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,19 @@
 Priority: optional
 Maintainer: Martin Quinson <mquinson@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
-Build-Depends: cdbs, debhelper (>= 5)
+Build-Depends: debhelper (>= 8)
 Build-Depends-Indep: gettext, hevea, lynx, diffstat, perl, procmail, ed
 Standards-Version: 3.9.2
 Vcs-git: git://git.debian.org/git/collab-maint/quilt
 Vcs-Browser: http://git.debian.org/?p=collab-maint/quilt.git
 Homepage: http://savannah.nongnu.org/projects/quilt
 
+# Note that there is no need to depend on awk since it's essential
+
 Package: quilt
 Architecture: all
-Depends: patch, diffstat, bzip2, gettext, bsdmainutils, ${misc:Depends}
-Suggests: procmail, graphviz
+Depends: patch, diffstat, bzip2, gettext, bsdmainutils, ${misc:Depends}, ${perl:Depends}
+Suggests: procmail, graphviz, default-mta | mail-transport-agent
 Enhances: debhelper, cdbs
 Multi-Arch: foreign
 Description: Tool to work with series of patches

=== debian/rules ===
#!/usr/bin/make -f

# Where we want quilt to install files
export BUILD_ROOT=$(CURDIR)/debian/quilt

%:
	dh $@

override_dh_auto_clean:
	test ! -e Makefile || touch Makefile # Avoids auto-rebuild rule to kick-in
	dh_auto_clean
	# Restore pristine l10n files
	for po in po/*.backup; do test ! -e $$po || mv $$po $${po%%.backup}; done

override_dh_auto_configure:
	dh_auto_configure -- --with-sendmail=/usr/sbin/sendmail --with-awk=/usr/bin/awk

override_dh_auto_build:
	# Backup a pristine copy of l10n files
	for po in po/*.po po/quilt.pot; do cp $$po $$po.backup; done
	# Build quilt
	dh_auto_build
	# Build a HTML/txt copy of the documentation
	mkdir -p doc/tmp
	cd doc/tmp; LC_ALL=C hevea ../main.tex ; LC_ALL=C hevea ../main.tex; LC_ALL=C hevea ../main.tex
	perl -pe 'if (/\\sh{.*}/) {s:\\sh{(.*)}:<I>$$1</I>:}'	\
	     < doc/tmp/main.html > doc/quilt.html
	LC_ALL=C perl -e '$$/ = undef; $$f=<>; $$f =~ s|<A[^>]*?HREF="[^"]*#[^"]*">(.*?)</A>|$$1|msg; print $$f;' < doc/tmp/main.html > doc/tmp/tmp.html
	LC_ALL=C lynx doc/tmp/tmp.html -dump > doc/quilt.txt
	rm -rf doc/tmp
	pod2man -c Debhelper debian/dh_quilt_patch debian/dh_quilt_patch.1
	pod2man -c Debhelper debian/dh_quilt_unpatch debian/dh_quilt_unpatch.1

override_dh_auto_install:
	dh_auto_install
	rm -f debian/quilt/etc/quilt.quiltrc

override_dh_installchangelogs:
	dh_installchangelogs quilt.changes

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	@if ! [ -d /proc/1 ]; then \
	   echo "quilt needs a mounted /proc to correctly build";\
	   echo "If you really want to build without /proc, add nocheck to DEB_BUILD_OPTIONS"; \
	   exit 1; \
	fi
	dh_auto_test
endif

## quilt 0.60

=== debian/changelog ===
quilt (0.60-2) unstable; urgency=low

  * Fix up previous changelog entry erroneously mentioning UNRELEASED.

 -- Raphaël Hertzog <hertzog@debian.org>  Sun, 04 Mar 2012 08:51:56 +0100

quilt (0.60-1) unstable; urgency=low

  * New upstream release.
  * Drop patch mail-signature, quilt mail --signature has been upstream
    since 2007.
  * Drop patch no-signature-test since the test-suite has been fixed to
    not vary based on the user's signature.
  * Drop patch arch_all, merged upstream.
  * Drop patch ensure-manpage-has-correct-patches-dir, merged upstream.
  * Drop patch override_mail_sender_in_testsuite, merged upstream.
  * Drop patch mail-from-locale, similar fix merged upstream.
  * Drop patch unset_posix_strict_conformance_variables, merged upstream.
  * Refresh all patches.
  * Update Standards-Version to 3.9.3 (no change).
  * Update Vcs-Browser URL due to Alioth changes.
  * Switch to debhelper compatibility level 9.

 -- Raphaël Hertzog <hertzog@debian.org>  Sat, 03 Mar 2012 22:41:23 +0100

quilt (0.51-1) unstable; urgency=low

  * New upstream release.
    - Fixes the unwanted output in quilt completion. Closes: #553511
  * Drop patch backport-fixes-from-0.50, merged upstream.
  * Drop patch fix-manpage-generation, merged upstream.
  * Drop patch debianize, instead pass --with-docdir=/usr/share/doc/quilt to
    ./configure (now that upstream supports this option) and ensure quilt.pdf
    is not compressed.
  * Drop unused patch no-QUILT_LIB-in-quilt.
  * New patch ensure-manpage-has-correct-patches-dir to fix the default
    patches directory documented in quilt(1). Closes: #585438
    Thanks to  Julien Viard de Galbert for the patch.
  * Drop patch makefile_glitche, no longer required because the
    upstream build process no longer use sub-make calls to generate the
    reference documentation.
  * Refresh all other patches.
  * Improve the template for the DEP-3 headers.

 -- Raphaël Hertzog <hertzog@debian.org>  Thu, 02 Feb 2012 10:46:59 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Priority: optional
 Maintainer: Martin Quinson <mquinson@debian.org>
 Uploaders: Raphaël Hertzog <hertzog@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
-Build-Depends: debhelper (>= 8)
+Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: gettext, hevea, lynx, diffstat, perl, procmail, ed
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-git: git://git.debian.org/git/collab-maint/quilt
-Vcs-Browser: http://git.debian.org/?p=collab-maint/quilt.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/quilt.git
 Homepage: http://savannah.nongnu.org/projects/quilt
 
 # Note that there is no need to depend on awk since it's essential

## quilt 0.61

=== debian/changelog ===
quilt (0.61-1) unstable; urgency=low

  * New upstream release. 
    - Update our patches against this new release; drop accepted ones:
      doc_search_of_patches, default_pager_less-R,
      handling_of_patches_with_column_in_their_name
    - Rename d/p/fix-test-setup to d/p/setup-dont-read-pc: upstream
      setup don't work when our .pc directory changes QUILT_PATCHES to 
      debian/patches. We used to have a little hacky solution, but
      it's not enough anymore, so make it right.

 -- Martin Quinson <mquinson@debian.org>  Mon, 09 Dec 2013 01:02:14 +0100

quilt (0.60-10) unstable; urgency=low

  * d/p/select-mail: Ease the selection of patches to mail out.
    (Closes: #481331)   
    
    I cannot understand how I managed to not apply this patch in the
    last five years! Sorry to Johannes Berg that contributed it, and
    to anyone who missed it...

 -- Martin Quinson <mquinson@debian.org>  Thu, 05 Sep 2013 14:17:25 +0200

quilt (0.60-9) unstable; urgency=low

  * d/p/unset_grep_options: unset GREP_OPTIONS as it often breaks quilt
    (Closes: #715563)
  * d/p/diff_exit_code: fail on refresh when diff's retcode is 2 
    (Closes: #638313)

 -- Martin Quinson <mquinson@debian.org>  Thu, 22 Aug 2013 03:23:59 +0200

quilt (0.60-8) unstable; urgency=low

  * merge patch doc_exit_status into return2, as upstream asked for it
    before integration
  * d/p/push_timeskew: updated to properly remove temp files.
    Thanks to Marc Deslauriers and other Ubuntu dudes for the bug
    report and patch (Closes: #701929).

 -- Martin Quinson <mquinson@debian.org>  Sun, 03 Mar 2013 18:57:00 +0100

quilt (0.60-7) unstable; urgency=low

  * d/p/push_timeskew: pass -q to quilt pop, restore order is arbitrary.
    Thanks to Adam Conrad and other ubuntu dudes for the bug report and
    patch (Closes: #697419). 

 -- Martin Quinson <mquinson@debian.org>  Sat, 05 Jan 2013 12:34:25 +0100

quilt (0.60-6) unstable; urgency=low

  * d/deb3: Reintroduce QUILT_PATCH_OPTS: previous bug report was buggy.
    We should just depend on patch >= 2.6 to get it working properly.
    Sorry for letting the buggy fix in, and thanks to Osamu for noticing.
    Closes: #696858.

 -- Martin Quinson <mquinson@debian.org>  Thu, 03 Jan 2013 18:25:53 +0100

quilt (0.60-5) unstable; urgency=low

  * Update Standards-Version to 3.9.4 (no change)
  * d/p/push_timeskew: only touch the non-empty files to not create
    any unwanted files (Closes: #697034).

 -- Martin Quinson <mquinson@debian.org>  Mon, 31 Dec 2012 12:38:38 +0100

quilt (0.60-4) unstable; urgency=low

  * d/p/push_timeskew: when doing a quilt push, ensure that the mtime
    of all modified files are the same. This should solve some rare
    timeskew while building the packages (and Closes: #466360).
  * debian/deb3: Remove QUILT_PATCH_OPTS=--reject-format=unified as it
    is not accepted by modern patch anymore (Closes: #696858). Ooops.
  * d/p/handling_of_patches_with_column_in_their_name: Fix the
    handling of patches with ':' in their name (Closes: #679779).
    The patch was picked in upstream git.

 -- Martin Quinson <mquinson@debian.org>  Sun, 30 Dec 2012 19:10:36 +0100

quilt (0.60-3) unstable; urgency=low

  * debian/control: specify the encoding to emacs at the file bottom,
    not the file top (Closes: #689554).
    This should help clumsy tools that get fooled when the control
    file begins with an empty paragraph, even if they should not break.
  * debian/control: Recommends less, as we use it in most commands
    (probably all but the raw push/pop ones). (LP: #1089601)
  * Add deb3 script to convert debian source package to new 3.0
    (quilt) format. Thanks to Osamu Aoki for that (Closes: #581186).
  * d/p/dep3mail: Allow mail subcommand to get the mail subject
    from dep3-formated patches, so that I can use it to report
    the changes done to quilt itself to my own upstream.
  * d/p/doc_search_of_patches: Document the fact that quilt searches
    for its `patches' directory in the same way that git searches for
    its configuration (Closes: #549482).
  * d/p/doc_exit_status: Document the exit status (Closes: #587001).
  * d/p/graph_depends_on_graphviz: Provide an informative message on
    'quilt graph' without graphviz being installed (Closes: #659944).
  * d/p/default_pager_less-R: Use 'less -R' as default pager (LP: #933617)

 -- Martin Quinson <mquinson@debian.org>  Thu, 27 Dec 2012 17:06:19 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,3 @@
-# -*- coding: utf-8 -*-
-
 Source: quilt
 Section: vcs
 Priority: optional
@@ -7,7 +5,7 @@
 Uploaders: Raphaël Hertzog <hertzog@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: gettext, hevea, lynx, diffstat, perl, procmail, ed
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-git: git://git.debian.org/git/collab-maint/quilt
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/quilt.git
 Homepage: http://savannah.nongnu.org/projects/quilt
@@ -16,8 +14,9 @@
 
 Package: quilt
 Architecture: all
-Depends: patch, diffstat, bzip2, gettext, bsdmainutils, ${misc:Depends}, ${perl:Depends}
+Depends: patch (>= 2.6), diffstat, bzip2, gettext, bsdmainutils, ${misc:Depends}, ${perl:Depends}
 Suggests: procmail, graphviz, default-mta | mail-transport-agent
+Recommends: less
 Enhances: debhelper, cdbs
 Multi-Arch: foreign
 Description: Tool to work with series of patches
@@ -38,3 +37,7 @@
  allowing maintainers to easily add a quilt-based patch management system in
  their packages. The package also provides some basic support for those not
  using those tools. See README.Debian for more information.
+
+# Local Variables:
+# Coding: utf-8
+# End:

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	for po in po/*.backup; do test ! -e $$po || mv $$po $${po%%.backup}; done
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-sendmail=/usr/sbin/sendmail --with-awk=/usr/bin/awk
+	dh_auto_configure -- --with-docdir=/usr/share/doc/quilt --with-sendmail=/usr/sbin/sendmail --with-awk=/usr/bin/awk
 
 override_dh_auto_build:
 	# Backup a pristine copy of l10n files
@@ -38,6 +38,11 @@
 override_dh_installchangelogs:
 	dh_installchangelogs quilt.changes
 
+override_dh_compress:
+	# Don't compress the .pdf, it's annoying and brings almost nothing
+	# since the format is already compressed
+	dh_compress -X.pdf
+
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	@if ! [ -d /proc/1 ]; then \

## quilt 0.63

=== debian/changelog ===
quilt (0.63-8.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update quilt sequence to apply patches before dh_autoreconf
    is run in compat 10.  Thanks to Sven Joachim and gregor
    herrmann for their assistance.  (Closes: #851130)

 -- Niels Thykier <niels@thykier.net>  Mon, 25 Dec 2017 08:17:46 +0000

quilt (0.63-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS with perl 5.26: Unescaped left brace in regex":
    escape literal left braces in perl regexp in debian/rules;
    patch from Niko Tyni.
    (Closes: #826502)

 -- gregor herrmann <gregoa@debian.org>  Mon, 17 Jul 2017 20:41:48 +0200

quilt (0.63-8) unstable; urgency=medium

  * Fix the syntax of the maintscript snippet (really closes #847283).
    Thanks to Andreas Beckmann for the helping hand.

 -- Martin Quinson <mquinson@debian.org>  Wed, 21 Dec 2016 02:36:16 +0100

quilt (0.63-7) unstable; urgency=medium

  * dep3_headers: Pre-fill 'Last-Update' field (Closes: #802561).

 -- Martin Quinson <mquinson@debian.org>  Wed, 21 Dec 2016 02:07:20 +0100

quilt (0.63-6) unstable; urgency=medium

  * Fix the transition from wheezy version of quilt-el:
    Add a dir_to_symlink maintscript (Closes: #847283).
  * d/p/manpage-typo: Typo fixing, by Dann Frazier (Closes: #817055)

 -- Martin Quinson <mquinson@debian.org>  Wed, 21 Dec 2016 01:45:58 +0100

quilt (0.63-5) unstable; urgency=medium

  * Fix the emacs autoload file (Closes: #837125).

 -- Martin Quinson <mquinson@debian.org>  Fri, 09 Sep 2016 12:55:31 +0200

quilt (0.63-4) unstable; urgency=medium

  [ Martin Quinson ]
  * Build a quilt-el package from that source package. That's a follow
    up of #747632, requesting to remove the quilt-el src package now
    that the elisp file is merged with the main package upstream.
    Thanks to Jeremy Sowden for the patch.
  * d/control: use non-obsolete values for Vcs-git field.
  * d/p/fixbuildrun: fix some annoying warnings in test/run
  * d/p/diff_binary: don't test failure with binary files, as it does
    not fail anymore with modern diffs (Closes: #836510).
  * Use dh_bash-completion to do the Right Thing.
  * d/control: Update to standard version 3.9.8 (no change needed)

  [ Raphaël Hertzog ]
  * Drop myself from Uploaders.

 -- Martin Quinson <mquinson@debian.org>  Sun, 04 Sep 2016 13:33:45 +0200

quilt (0.63-3) unstable; urgency=medium

  * Disable debian/patches/test-completion to avoid a test failure during
    build. Closes: #751109

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 17 Jun 2014 09:01:58 +0200

quilt (0.63-2) unstable; urgency=medium

  * d/p/test-completion: new patch to test the bash completion scripts
  * d/p/graph_depends_on_graphviz: update according to upstream's remarks
  * d/p/restrict-patch-names: enforces valid patch names at creation
    (Closes: #640551)
  * Install the system-wide configuration file, so that the users get
    sensible default settings, such as color by default (Closes: #702408)

 -- Martin Quinson <mquinson@debian.org>  Sat, 10 May 2014 15:52:33 +0200

quilt (0.63-1) unstable; urgency=medium

  * New upstream release
    - drop the patches accepted upstream: return2, diff_exit_code,
      patch-wrapper_do_depend_on_proc, unset_grep_options
      
  * Update and simplify our patches to ease their adoption upstream
    - reorder the patches: put the ones accepted upstream below
    - drop d/p/select-mail: was not functional, actually, and the
      patch selection mechanism introduced upstream deprecates this.
  * d/control: Update to standard version 3.9.5 (no change needed)
  * d/rules: Add stage1 DEB_BUILD_PROFILE, not building the docs to
    cut the dependency on lynx and hevea (Closes: #738114)

 -- Martin Quinson <mquinson@debian.org>  Wed, 07 May 2014 23:07:59 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: vcs
 Priority: optional
 Maintainer: Martin Quinson <mquinson@debian.org>
-Uploaders: Raphaël Hertzog <hertzog@debian.org>, Ryan Niebur <ryanryan52@gmail.com>
+Uploaders: Ryan Niebur <ryanryan52@gmail.com>
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: gettext, hevea, lynx, diffstat, perl, procmail, ed
-Standards-Version: 3.9.4
-Vcs-git: git://git.debian.org/git/collab-maint/quilt
+Standards-Version: 3.9.8
+Vcs-git: git://anonscm.debian.org/collab-maint/quilt
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/quilt.git
 Homepage: http://savannah.nongnu.org/projects/quilt
 
@@ -18,6 +18,7 @@
 Suggests: procmail, graphviz, default-mta | mail-transport-agent
 Recommends: less
 Enhances: debhelper, cdbs
+Breaks: debhelper (<< 9.20160114~bpo)
 Multi-Arch: foreign
 Description: Tool to work with series of patches
  Quilt manages a series of patches by keeping track of the changes
@@ -31,13 +32,26 @@
  for Linux kernel hackers (Andrew Morton, from the -mm  branch, is the
  original author), and its main use by the current upstream maintainer is to
  manage the (hundreds of) patches against the kernel made for the SUSE
- distribution. 
+ distribution.
  .
  This package provides seamless integration into Debhelper or CDBS,
  allowing maintainers to easily add a quilt-based patch management system in
  their packages. The package also provides some basic support for those not
  using those tools. See README.Debian for more information.
 
+Package: quilt-el
+Architecture: all
+Depends: emacs | emacsen, quilt (>= 0.48), ${misc:Depends}
+Description: simple Emacs interface of quilt
+ This is an Emacs minor mode for quilt. By using this,
+ it becomes easy to edit files controlled by quilt.
+ The main features are as follows:
+ .
+  - Automatically detects files that are in a quilt hierarchy
+    and enables itself.
+  - Only files in topmost patch can be writable.
+  - Some handy shortcut keys of quilt commands.
+
 # Local Variables:
 # Coding: utf-8
 # End:

=== debian/rules ===
--- 
+++ 
@@ -22,21 +22,31 @@
 	dh_auto_build
 	# Build a HTML/txt copy of the documentation
 	mkdir -p doc/tmp
+ifeq (,$(findstring stage1,$(DEB_BUILD_PROFILES)))
 	cd doc/tmp; LC_ALL=C hevea ../main.tex ; LC_ALL=C hevea ../main.tex; LC_ALL=C hevea ../main.tex
-	perl -pe 'if (/\\sh{.*}/) {s:\\sh{(.*)}:<I>$$1</I>:}'	\
+	perl -pe 'if (/\\sh\{.*}/) {s:\\sh\{(.*)}:<I>$$1</I>:}'	\
 	     < doc/tmp/main.html > doc/quilt.html
 	LC_ALL=C perl -e '$$/ = undef; $$f=<>; $$f =~ s|<A[^>]*?HREF="[^"]*#[^"]*">(.*?)</A>|$$1|msg; print $$f;' < doc/tmp/main.html > doc/tmp/tmp.html
 	LC_ALL=C lynx doc/tmp/tmp.html -dump > doc/quilt.txt
+else
+	touch doc/quilt.html doc/quilt.txt
+endif
 	rm -rf doc/tmp
 	pod2man -c Debhelper debian/dh_quilt_patch debian/dh_quilt_patch.1
 	pod2man -c Debhelper debian/dh_quilt_unpatch debian/dh_quilt_unpatch.1
 
 override_dh_auto_install:
 	dh_auto_install
-	rm -f debian/quilt/etc/quilt.quiltrc
+	install -d -m 0755 $(CURDIR)/debian/quilt-el/usr/share/emacs/site-lisp/quilt-el
+	install    -m 0644 $(BUILD_ROOT)/usr/share/emacs/site-lisp/quilt.el \
+			   $(CURDIR)/debian/quilt-el/usr/share/emacs/site-lisp/quilt-el/quilt-mode.el
+	rm -fr $(BUILD_ROOT)/usr/share/emacs
+
+override_dh_installdocs:
+	dh_installdocs --link-doc=quilt
 
 override_dh_installchangelogs:
-	dh_installchangelogs quilt.changes
+	dh_installchangelogs NEWS
 
 override_dh_compress:
 	# Don't compress the .pdf, it's annoying and brings almost nothing

=== debian/watch ===
version=3
http://savannah.nongnu.org/files/?group=quilt (?:^|.*/)quilt-([\d\.]+)\.tar\.gz

## quilt 0.65

=== doc/Makefile ===
all : quilt.pdf quilt-rus.pdf

quilt.ps : quilt.dvi
	dvips -t letter -o $@ $<

quilt.pdf: main.tex
	pdflatex --jobname=quilt -t letter $<

quilt.dvi : main.tex
	latex $< && \
	mv main.dvi $@

quilt-rus.ps : quilt-rus.dvi
	dvips -t letter -o $@ $<

quilt-rus.pdf: main-rus.tex
	pdflatex --jobname=quilt-rus -t letter $<

quilt-rus.dvi : main-rus.tex
	latex $< && \
	mv main-rus.dvi $@

clean:
	rm -f {main,quilt}.{dvi,log,aux} {main,quilt}-rus.{dvi,log,aux}

distclean: clean
	rm -f quilt.{ps,pdf,dvi} quilt-rus.{ps,pdf,dvi}

=== debian/changelog ===
quilt (0.65-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove Testsuite field, not needed anymore

  [ Vivek Das Mohapatra ]
  * Configure canonical /bin/bash path so that quilt binary packages
    built in a merged-/usr environment continue to work on
    non-merged-/usr systems (Closes: #913226)

  [ Dr. Tobias Quathamer ]
  * Fix intermittently failing test. Due to an exchanged output order
    of stdout and stderr, the test sometimes fails.
    Thanks to Simon McVittie <smcv@debian.org> (Closes: #913246)
  * Move bash-completion from Build-Depends-Indep to Build-Depends.
    Thanks to Simon McVittie <smcv@debian.org> (Closes: #913248)
  * Add dependency on sensible-utils.
    Some quilt commands (edit, mail, header) use "sensible-editor".

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 08 Nov 2018 22:09:45 +0100

quilt (0.65-2) unstable; urgency=medium

  * Fix broken patch set mail threading.
    Let patches reference the introduction message so that the
    patch set is properly threaded by MUA. This used to
    work but was broken by accident. (Closes: #900784)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 08 Aug 2018 21:44:00 +0200

quilt (0.65-1) unstable; urgency=medium

  [ Martin Quinson ]
  * Remove Ryan Niebur from the uploaders as he didn't show up since a
    few years and is now marked MIA by the QA team (Closes: #856372).

  [ Dr. Tobias Quathamer ]
  * New upstream release. Closes: #778326, #861181
    - Refresh patches
    - Remove patch diff_binary, has been fixed upstream
    - Remove patch graph_depends_on_graphviz, has been applied
      upstream in 0.64
    - New patch to fix failing tests with Debian version of quilt
  * Update to Standards-Version 4.1.4
    - Add upstream signing key from Jean Delvare <khali@linux-fr.org>
    - Update Vcs-URLs to salsa.d.o
    - Add Testsuite: autopkgtest
    - Make the build reproducible.
      Thanks to Philip Rinn <rinni@inventati.org> (Closes: #872184)
    - Use https for upstream homepage
  * Use debhelper v11
  * Update d/watch
  * Use bash-completion debhelper and Build-Depend on bash-completion
  * Remove bash_completion script from obsolete location.
  * Add myself to Uploaders
  * Fix some spelling errors catched by lintian
  * Acknowledge the last two NMUs. Thanks Niels and gregor!

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 23 May 2018 15:51:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: quilt
+Maintainer: Martin Quinson <mquinson@debian.org>
+Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Section: vcs
 Priority: optional
-Maintainer: Martin Quinson <mquinson@debian.org>
-Uploaders: Ryan Niebur <ryanryan52@gmail.com>
-Build-Depends: debhelper (>= 9)
-Build-Depends-Indep: gettext, hevea, lynx, diffstat, perl, procmail, ed
-Standards-Version: 3.9.8
-Vcs-git: git://anonscm.debian.org/collab-maint/quilt
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/quilt.git
-Homepage: http://savannah.nongnu.org/projects/quilt
-
-# Note that there is no need to depend on awk since it's essential
+Build-Depends: bash-completion, debhelper (>= 11)
+Build-Depends-Indep: diffstat, ed, gettext, hevea, html2text, perl, procmail
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/debian/quilt
+Vcs-Git: https://salsa.debian.org/debian/quilt.git
+Homepage: https://savannah.nongnu.org/projects/quilt
 
 Package: quilt
 Architecture: all
-Depends: patch (>= 2.6), diffstat, bzip2, gettext, bsdmainutils, ${misc:Depends}, ${perl:Depends}
-Suggests: procmail, graphviz, default-mta | mail-transport-agent
+Multi-Arch: foreign
+Depends: bsdmainutils,
+         bzip2,
+         diffstat,
+         gettext,
+         patch,
+         sensible-utils,
+         ${misc:Depends},
+         ${perl:Depends}
 Recommends: less
-Enhances: debhelper, cdbs
+Suggests: default-mta | mail-transport-agent, graphviz, procmail
+Enhances: cdbs, debhelper
 Breaks: debhelper (<< 9.20160114~bpo)
-Multi-Arch: foreign
 Description: Tool to work with series of patches
  Quilt manages a series of patches by keeping track of the changes
  each of them makes. They are logically organized as a stack, and you can
@@ -41,7 +46,7 @@
 
 Package: quilt-el
 Architecture: all
-Depends: emacs | emacsen, quilt (>= 0.48), ${misc:Depends}
+Depends: emacs | emacsen, quilt, ${misc:Depends}
 Description: simple Emacs interface of quilt
  This is an Emacs minor mode for quilt. By using this,
  it becomes easy to edit files controlled by quilt.
@@ -51,7 +56,3 @@
     and enables itself.
   - Only files in topmost patch can be writable.
   - Some handy shortcut keys of quilt commands.
-
-# Local Variables:
-# Coding: utf-8
-# End:

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 export BUILD_ROOT=$(CURDIR)/debian/quilt
 
 %:
-	dh $@
+	dh $@ --with=bash-completion
 
 override_dh_auto_clean:
 	test ! -e Makefile || touch Makefile # Avoids auto-rebuild rule to kick-in
@@ -13,7 +13,7 @@
 	for po in po/*.backup; do test ! -e $$po || mv $$po $${po%%.backup}; done
 
 override_dh_auto_configure:
-	dh_auto_configure -- --with-docdir=/usr/share/doc/quilt --with-sendmail=/usr/sbin/sendmail --with-awk=/usr/bin/awk
+	dh_auto_configure -- --with-docdir=/usr/share/doc/quilt --with-sendmail=/usr/sbin/sendmail --with-awk=/usr/bin/awk --with-bash=/bin/bash
 
 override_dh_auto_build:
 	# Backup a pristine copy of l10n files
@@ -26,8 +26,7 @@
 	cd doc/tmp; LC_ALL=C hevea ../main.tex ; LC_ALL=C hevea ../main.tex; LC_ALL=C hevea ../main.tex
 	perl -pe 'if (/\\sh\{.*}/) {s:\\sh\{(.*)}:<I>$$1</I>:}'	\
 	     < doc/tmp/main.html > doc/quilt.html
-	LC_ALL=C perl -e '$$/ = undef; $$f=<>; $$f =~ s|<A[^>]*?HREF="[^"]*#[^"]*">(.*?)</A>|$$1|msg; print $$f;' < doc/tmp/main.html > doc/tmp/tmp.html
-	LC_ALL=C lynx doc/tmp/tmp.html -dump > doc/quilt.txt
+	LC_ALL=C html2text -style pretty -o doc/quilt.txt doc/quilt.html
 else
 	touch doc/quilt.html doc/quilt.txt
 endif
@@ -41,6 +40,9 @@
 	install    -m 0644 $(BUILD_ROOT)/usr/share/emacs/site-lisp/quilt.el \
 			   $(CURDIR)/debian/quilt-el/usr/share/emacs/site-lisp/quilt-el/quilt-mode.el
 	rm -fr $(BUILD_ROOT)/usr/share/emacs
+	# Remove the bash_completion script from upstream,
+	# it's installed in an obsolete directory.
+	rm -fr $(BUILD_ROOT)/etc/bash_completion.d
 
 override_dh_installdocs:
 	dh_installdocs --link-doc=quilt

## quilt 0.66

=== debian/changelog ===
quilt (0.66-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update the dependency to bsdextrautils | bsdmainutils.
    (Closes: #963227)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Jul 2020 12:18:59 +0300

quilt (0.66-2) unstable; urgency=medium

  * Source-only upload.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 18 Apr 2020 20:19:42 +0200

quilt (0.66-1) unstable; urgency=medium

  [ Martin Quinson ]
  * New upstream release.
    - Document QUILT_PC in the manpage (Closes: #913682)
  * Update patches. Drop the following ones:
    - d/p/fixbuildrun (applied upstream)
    - d/p/fix-mail-threading (was cherry-picked from upstream)
  * Install NEWS file, that is the upstream's changelog.
  * Bump standard-version to 4.5.0 (install NEWS even if it's not mandated)
  * Use debhelper v12.
  * d/control: Depends on ed, as annotate sometimes needs it
    (Closes: #923706).
  * Install dpatch2quilt as /usr/bin/dpatch2quilt instead of as example
    (Closes: #793151).

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit (from ./configure), Name
    (from ./configure), Repository.
  * Wrap long lines in changelog entries: 0.25-3, 0.11-1.

 -- Martin Quinson <mquinson@debian.org>  Mon, 23 Mar 2020 23:54:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
 Section: vcs
 Priority: optional
-Build-Depends: bash-completion, debhelper (>= 11)
+Build-Depends: bash-completion, debhelper-compat (= 12)
 Build-Depends-Indep: diffstat, ed, gettext, hevea, html2text, perl, procmail
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/quilt
 Vcs-Git: https://salsa.debian.org/debian/quilt.git
 Homepage: https://savannah.nongnu.org/projects/quilt
@@ -13,9 +13,10 @@
 Package: quilt
 Architecture: all
 Multi-Arch: foreign
-Depends: bsdmainutils,
+Depends: bsdextrautils | bsdmainutils,
          bzip2,
          diffstat,
+         ed,
          gettext,
          patch,
          sensible-utils,

=== debian/rules ===
--- 
+++ 
@@ -47,9 +47,6 @@
 override_dh_installdocs:
 	dh_installdocs --link-doc=quilt
 
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS
-
 override_dh_compress:
 	# Don't compress the .pdf, it's annoying and brings almost nothing
 	# since the format is already compressed

## quilt 0.67+really0.66

=== debian/changelog ===
quilt (0.67+really0.66-1) unstable; urgency=medium

  * Revert upstream version back to 0.66 (Closes: #1030781)
    The new upstream version has changed the error return code
    if there are no patches in the series file. Previously,
    quilt returned 2, now it returns 1.
    The program dh_quilt_unpatch relies on the previous
    error code, resulting in FTBFS errors in packages which
    use "dh --with quilt". One example is libxau, see the
    bug above.
    - Revert updates patches to version 0.66
    - Remove gawk from Build-Depends

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 07 Feb 2023 15:19:07 +0100

quilt (0.67-1) unstable; urgency=medium

  * New upstream version 0.67 (Closes: #1022134)
    - Refresh patches
    - Remove patch setup-dont-read-pc, applied upstream
    - Add gawk to Build-Depends, needed for testing
  * Use wrap-and-sort -at
  * Use debhelper v13
  * Update Standards-Version to 4.6.2, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 06 Feb 2023 14:57:30 +0100

quilt (0.66-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Cherry-pick "Avoid warnings with grep 3.8". Closes: #1020108

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sat, 15 Oct 2022 10:12:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,18 @@
 Source: quilt
 Maintainer: Martin Quinson <mquinson@debian.org>
-Uploaders: Dr. Tobias Quathamer <toddy@debian.org>
+Uploaders: Dr. Tobias Quathamer <toddy@debian.org>,
 Section: vcs
 Priority: optional
-Build-Depends: bash-completion, debhelper-compat (= 12)
-Build-Depends-Indep: diffstat, ed, gettext, hevea, html2text, perl, procmail
-Standards-Version: 4.5.0
+Build-Depends: bash-completion,
+               debhelper-compat (= 13),
+Build-Depends-Indep: diffstat,
+                     ed,
+                     gettext,
+                     hevea,
+                     html2text,
+                     perl,
+                     procmail,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/quilt
 Vcs-Git: https://salsa.debian.org/debian/quilt.git
 Homepage: https://savannah.nongnu.org/projects/quilt
@@ -21,11 +28,14 @@
          patch,
          sensible-utils,
          ${misc:Depends},
-         ${perl:Depends}
-Recommends: less
-Suggests: default-mta | mail-transport-agent, graphviz, procmail
-Enhances: cdbs, debhelper
-Breaks: debhelper (<< 9.20160114~bpo)
+         ${perl:Depends},
+Recommends: less,
+Suggests: default-mta | mail-transport-agent,
+          graphviz,
+          procmail,
+Enhances: cdbs,
+          debhelper,
+Breaks: debhelper (<< 9.20160114~bpo),
 Description: Tool to work with series of patches
  Quilt manages a series of patches by keeping track of the changes
  each of them makes. They are logically organized as a stack, and you can
@@ -47,7 +57,9 @@
 
 Package: quilt-el
 Architecture: all
-Depends: emacs | emacsen, quilt, ${misc:Depends}
+Depends: emacs | emacsen,
+         quilt,
+         ${misc:Depends},
 Description: simple Emacs interface of quilt
  This is an Emacs minor mode for quilt. By using this,
  it becomes easy to edit files controlled by quilt.
